delete a support package.md

Delete a support package

Fleets API · Devices

DELETE https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages/{package_name}

Permanently deletes the specified support package from blob storage.

RBAC Capability Required: fleet.device.delete

Authentication

Path parameters

Name Type Required Description
project_name string Yes
name string Yes
package_name string Yes

Example request

curl -X DELETE "https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages/{package_name}" \
  -H "Authorization: Bearer <token>"

Responses

204 — Support package deleted.

No response body.

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: fleets-api · operationId: [delete]_/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages/{package_name}